Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594578 - [PATCH] Mark wireless devices without firmware as 'unavailable'
Summary: [PATCH] Mark wireless devices without firmware as 'unavailable'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 04:09 UTC by Bill Nottingham
Modified: 2014-03-17 03:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-24 05:16:28 UTC


Attachments (Terms of Use)
patch (deleted)
2010-05-21 04:09 UTC, Bill Nottingham
no flags Details | Diff

Description Bill Nottingham 2010-05-21 04:09:34 UTC
Created attachment 415570 [details]
patch

This patch is in two parts.

1) Use NL_CB_DEFAULT, instead of NL_CB_VERBOSE. NL_CB_VERBOSE breaks nl_get_errno, which therefore breaks the no_firmware propagation. (This may be a libnl bug.) 

2) If we get no firmware, mark the device as FAILED.

Comment 1 Bill Nottingham 2010-05-21 04:35:40 UTC
libnl issue filed at https://bugzilla.redhat.com/show_bug.cgi?id=594585.

Comment 2 Dan Williams 2010-05-25 18:03:57 UTC
modified patch pushed to master; I don't want to take it for 0.8.1 at this point since we're in release lockdown but it'll show up at some point in F13.

The applet now says "device not ready (firmware missing)" when the firmware is found to be missing.

Comment 3 Dan Williams 2011-02-24 05:16:28 UTC
Long since fixed in updates.


Note You need to log in before you can comment on or make changes to this bug.